VolgaCard
Back to Home
API Documentation

VolgaCard API Documentation

Generate crypto funded virtual Mastercard cards instantly without KYC using the VolgaPay API.

Base URL

https://api.volgapay.com

Overview

This public API allows you to generate crypto funded virtual credit cards (VCC) Mastercard anonymously without KYC.

How it Works

  1. 1Create a card order to get the deposit wallet.
  2. 2Deposit the correct amount of USDT (Polygon) to the assigned wallet.
  3. 3Check payment status and redeem your Mastercard instantly.

Create Card

Endpoint

GEThttps://api.volgapay.com/crypto/cards/wallet.php

This endpoint allows you to create a card order and get the assigned wallet.

Parameters

providerstringrequired

Card provider. Only 'mastercard' is available.

amountintegerrequired

Card value in USD. Range: $100 to $499

Example Request

bash
curl --location 'https://api.volgapay.com/crypto/cards/wallet.php?provider=mastercard&amount=150'

Example Response

json
{
  "redeem_id": "_nK2qUzxf1EM4NnNjAGypJ2n",
  "amount": 174.00,
  "payment_coin": "USDT",
  "payment_instructions": "USDT Polygon/MATIC Network only",
  "network": "Polygon",
  "card_value": "150.00",
  "card_currency": "USD",
  "card_type": "mastercard",
  "address_in": "0x3D7AB5Ff706a00D4939Ada4C7d819B408BA104D1",
  "timestamp_token": "1772465271799_2812974",
  "qr_code": "BASE64_QR_IMAGE_DATA",
  "ipn_token": "tracking_token"
}

Response Fields

redeem_idstring

Unique order ID for tracking

amountnumber

Total amount to pay in USDT

address_instring

USDT deposit address (Polygon)

qr_codestring

Base64 encoded QR code image

card_valuestring

Card value in USD

networkstring

Payment network (Polygon)

Affiliate Create Card

Endpoint

GEThttps://api.volgapay.com/crypto/cards/custom-affiliate.php

This endpoint can be used to rebrand the system and earn custom commission.

Parameters

providerstringrequired

Card provider. Only 'mastercard' is available.

amountintegerrequired

Card value in USD. Range: $100 to $499

affiliatestringrequired

Your USDT wallet address (Polygon network) for receiving commission

affiliate_feenumberrequired

Your commission percentage as decimal (e.g., 0.03 = 3%)

Example Request

bash
curl --location 'https://api.volgapay.com/crypto/cards/custom-affiliate.php?provider=mastercard&amount=250&affiliate=0x3c783c21a0383057D128bae431894a5C19F9Cf06&affiliate_fee=0.03'

Example Response

json
{
  "redeem_id": "u3O77eaCh-fJJS--9lxjKbL1",
  "amount": 290.00,
  "payment_coin": "USDT",
  "payment_instructions": "USDT Polygon/MATIC Network only",
  "network": "Polygon",
  "card_value": "250.00",
  "card_currency": "USD",
  "card_type": "mastercard",
  "address_in": "0x2801651C19E3d55eB52145001e70c27B2Bbe1E22",
  "timestamp_token": "1772465356298_2466912",
  "qr_code": "BASE64_QR_IMAGE_DATA",
  "ipn_token": "tracking_token"
}

Check Status & Redeem

Endpoint

GEThttps://api.volgapay.com/crypto/cards/status.php

This endpoint is used to check payment status and get the card redeem link.

Parameters

redeem_idstringrequired

The unique order ID received when creating the card

Response

payment_statusstring

Payment status: 'paid' or 'unpaid'

card_issuer_statusstring

Card status: 'completed', 'pending', or 'N/A'

redeem_linkstring

URL to redeem the card (only available when completed)

Example Request

bash
curl --location 'https://api.volgapay.com/crypto/cards/status.php?redeem_id=CIkmH5JIJWnQe4rYIfS7G_9i'

Example Response

json
{
  "payment_status": "paid",
  "card_issuer_status": "completed",
  "redeem_link": "https://volgapay.com/redeem/abc123"
}

Quick Links